Subject: Re: bug#12807: 24.2; Emacs cannot edit file with funny Unicode characters in the file name on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2012 23:47:45 +0200

> From: Nils Gösche <[email-masked]>
> Date: Mon, 05 Nov 2012 21:52:05 +0100
> 
> I keep a bunch of text files on my Windows 7 desktop containing my thoughts
> about the solutions of chess problems I am trying to solve. Now, one of these
> problems was composed by a Russian. So, I named the file Кузовков_Lösung.txt:
> First the name of the Russian composer, then the German word for »solution«.
> However, when I tried to edit that file in Emacs, I only got error messages,
> probably because of the funny Unicode characters in the file name. (See below
> for the exact wording of the messages.)
> 
> Another file with only English/German characters in the name,
> Thorton_Lösung.txt, does not cause any trouble at all (oh, but it seems I
> misspelled the name, actually).

Emacs on Windows currently supports only file names that can be
expressed in the system codepage.  So unless someone writes the code
to support the Unicode APIs throughout, this limitation will remain
for some time to come.  Volunteers are welcome.

> (BTW, Notepad does not have any problems editing the same file. So, it is
> not some weird, OS-related problem, either).

Yes, but the Explorer and the Notepad are about the only programs that
do.  Many others don't.  Emacs is one of them.

Sorry.